{% extends 'base.html.twig' %}

{% block title %}Examen index{% endblock %}

{% block body %}
    <h1>Examen index</h1> 
    <a href="{{ path('examen_new') }}">Create new</a>
    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Matiere</th>
                <th>Niveau</th>
                <th>CreatedAt</th>
                <th>UpdatedAt</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for examan in examens %}
            <tr>
                <td>{{ examan.id }}</td> 
                <td>{{ examan.matiere.code }}</td> 
                <td>{{ examan.niveau.name }}</td>
                <td>{{ examan.createdAt ? examan.createdAt|date('Y-m-d H:i:s') : '' }}</td>
                <td>{{ examan.updatedAt ? examan.updatedAt|date('Y-m-d H:i:s') : '' }}</td>
                <td>
                    <a href="{{ path('examen_show', {'id': examan.id}) }}">show</a>
                    <a href="{{ path('examen_edit', {'id': examan.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="4">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

{% endblock %}
